<?php
# (c) 2016 Walter Harris
#          <walter.harris@styria.com>

#
# This is free software;  you can redistribute it and/or modify it
# under the  terms of the  GNU General Public License  as published by
# the Free Software Foundation in version 2.  check_mk is  distributed
# in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
# out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
# PARTICULAR PURPOSE. See the  GNU General Public License for more de-
# ails.  You should have  received  a copy of the  GNU  General Public
# License along with GNU Make; see the file  COPYING.  If  not,  write
# to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
# Boston, MA 02110-1301 USA.

$desc = str_replace("_", " ", $servicedesc);

$opt[1] = "--vertical-label 'POE consumption (Watt) ' -l0  -u $MAX[1] --title \"POE Utilization $hostname $desc\" ";
#
$def[1] =  "DEF:util=$RRDFILE[1]:$DS[1]:MAX ".
           "CDEF:ok=util,$WARN[1],MIN ".
           "CDEF:warn=util,$CRIT[1],MIN ".
           "AREA:util#c0f020 ".
           "AREA:warn#90f020 ".
           "AREA:ok#60f020:\"Utilization\:\" ".
           "LINE:util#40a018 ".
           "GPRINT:util:LAST:\"last\: %.0lf Watt\" ".
           "GPRINT:util:MIN:\"min\: %.0lf Watt\" ".
           "GPRINT:util:MAX:\"max\: %.0lf Watt\\n\" ".
           "HRULE:$MAX[1]#000000:\"Max at $MAX[1] Watt\" ".
           "HRULE:$WARN[1]#ffe000:\"Warning at $WARN[1] Watt\" ".
           "HRULE:$CRIT[1]#ff0000:\"Critical at $CRIT[1] Watt\\n\" ".
           "";

?>

