#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

# (c) 2016 Walter Harris
#          <walter.harris@styria.com>

#
# This is free software;  you can redistribute it and/or modify it
# under the  terms of the  GNU General Public License  as published by
# the Free Software Foundation in version 2.  check_mk is  distributed
# in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
# out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
# PARTICULAR PURPOSE. See the  GNU General Public License for more de-
# ails.  You should have  received  a copy of the  GNU  General Public
# License along with GNU Make; see the file  COPYING.  If  not,  write
# to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
# Boston, MA 02110-1301 USA.

def perfometer_cisco_poe(row, check_command, perf_data):
    watt = float(perf_data[0][1])
    warn = float(perf_data[0][3])
    crit = float(perf_data[0][4])
    wattmax = float(perf_data[0][6])
    wattperc = watt / wattmax * 100
    if watt >= crit:
        color = "#ff0000"
    elif watt >= warn:
        color = "#ffff00"
    else:
        color = "#00ff00"

    return "%.0f%%" % wattperc, perfometer_linear(wattperc, color)

perfometers["check_mk-cisco_poe"] = perfometer_cisco_poe
